Package org.silverpeas.components.kmelia

# Class KmeliaException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.silverpeas.kernel.SilverpeasException
org.silverpeas.core.exception.SilverpeasException
org.silverpeas.components.kmelia.KmeliaException

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

public class KmeliaException extends org.silverpeas.core.exception.SilverpeasException

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.exception.SilverpeasException

  `ERROR, FATAL, WARNING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmeliaException(String callingClass, int errorLevel, String message)`
  constructors
  `KmeliaException(String callingClass, int errorLevel, String message, Exception nested)`
  `KmeliaException(String callingClass, int errorLevel, String message, String extraParams)`
  `KmeliaException(String callingClass, int errorLevel, String message, String extraParams, Exception nested)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getModule()`
  getModule

  ### Methods inherited from class org.silverpeas.core.exception.SilverpeasException

  `getCallingClass, getChainedExceptions, getErrorLevel, getExtraInfos, getMessageLang, getMessageLang, getNested, printStackTrace, printStackTrace, printStackTrace, traceException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KmeliaException

    public KmeliaException(String callingClass, int errorLevel, String message)
    constructors

  - ### KmeliaException

    public KmeliaException(String callingClass, int errorLevel, String message, String extraParams)

  - ### KmeliaException

    public KmeliaException(String callingClass, int errorLevel, String message, Exception nested)

  - ### KmeliaException

    public KmeliaException(String callingClass, int errorLevel, String message, String extraParams, Exception nested)

- ## Method Details

  - ### getModule

    public String getModule()
    getModule
    Specified by:
      `getModule` in interface `org.silverpeas.core.exception.FromModule`
    Specified by:
      `getModule` in class `org.silverpeas.core.exception.SilverpeasException`